tigase.kernel.beans.config

## Class AbstractBeanConfigurator.BeanDefinition

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - tigase.kernel.beans.config.AbstractBeanConfigurator.BeanDefinition

- All Implemented Interfaces:
    Serializable, Cloneable, Map
  Enclosing class:
    AbstractBeanConfigurator

      public static class AbstractBeanConfigurator.BeanDefinition
      extends HashMap

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbstractBeanConfigurator.BeanDefinition.Builder`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanDefinition()`
    `BeanDefinition(AbstractBeanConfigurator.BeanDefinition def)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getBeanName()`
    `String` | `getClazzName()`
    `int` | `hashCode()`
    `boolean` | `isActive()`
    `boolean` | `isExportable()`
    `void` | `setActive(boolean active)`
    `void` | `setBeanName(String beanName)`
    `void` | `setClazzName(String clazzName)`
    `void` | `setExportable(boolean exportable)`
    `String` | `toString()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanDefinition

          public BeanDefinition()

    - #### BeanDefinition

          public BeanDefinition(AbstractBeanConfigurator.BeanDefinition def)

  - ### Method Detail

    - #### getBeanName

          public String getBeanName()

    - #### setBeanName

          public void setBeanName(String beanName)

    - #### getClazzName

          public String getClazzName()

    - #### setClazzName

          public void setClazzName(String clazzName)

    - #### isActive

          public boolean isActive()

    - #### setActive

          public void setActive(boolean active)

    - #### isExportable

          public boolean isExportable()

    - #### setExportable

          public void setExportable(boolean exportable)

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in interface `Map`
      Overrides:
        `equals` in class `AbstractMap`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map`
      Overrides:
        `hashCode` in class `AbstractMap`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractMap`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.